# include "esquare.h"

# include <avr/pgmspace.h>

extern char *p_buf;

static char *p_strcpy(const char* str)
{
   static  char buf[256];
   return(strcpy_P(buf, str));
}

#define  P_STR(str)  p_strcpy(PSTR(str))

const char  ESquare::GOOD_SIGNATURE[] = "!BLOK";
const char  ESquare::BAD_SIGNATURE[]  = "!TOST";
const char  VERSION_STR[]     PROGMEM = "$Id: //depot/nixiestat/code/esquare.cpp#9 $";

const uint32_t ESquare::VERSION = 0x00000100;

//void ESquare::PrintRevisionTag()
//{
//   Serial << p_strcpy(VERSION_STR);
//}
void ESquare::DisplaySettings()
{
   Serial << strcpy_P(p_buf, PSTR("ESquare Count:")) << data.count << endl;
   Serial << strcpy_P(p_buf, PSTR("Hand Adjustments:")) << endl;
   for (char x = 1; x < 13; x++)
   {
      Serial << strcpy_P(p_buf, PSTR("Hand ")) << (int)x;
      Serial << strcpy_P(p_buf, PSTR(" = ")) << (int)data.handAdjust[x] << endl;
   }
}

ESquare eeprom;

